Subject: Re: Corrected: setup.exe beta (testing needed - really!)
From: Robert Collins <[email-masked]>
To: amores nolikeyjunk <[email-masked]>
Cc: [email-masked]
Date: 29 Mar 2003 15:21:35 +1100

On Sat, 2003-03-29 at 15:13, amores nolikeyjunk wrote:

> but when I reboot & run setup again, it doesn't remember
> the pkg directory. I guess I don't know if it ever did,
> as this is the first time I'm not running the setup.exe
> out of the pkg directory.

The first time through, there is a known race condition: cygwin isn't
installed, so /etc doesn't exist, and the package dir is not saved, the
mirror details are instead stored in the package dir itself. So, if you
run setup a second time, give it the same settings. The third time it
will remember the second time's settings.

Rob

> (Actually I'm running setup-2_340_2_3.exe, and it is
> sitting in c:\, and it suggested c:\ as the pkg directory
> both the first time I ran it, and the second, altho the
> first time I adjusted it to c:\cygtest\pkg.)
> 
> 
> I will do some more of these, but it would be nifty if there
> was any validation suite to run after installing cygwin ?

There isn't, but basically, ifyou can run programs, i.e. execute ls,
then it should be ok.
Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.